MetricDisplayConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.MetricDisplayConstants class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class MetricDisplayConstants

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MetricDisplayConstants

    public class MetricDisplayConstants

extends java.lang.Object

Field Summary
`static java.lang.String[]` | `attrKey`
`static java.lang.String` | `AVERAGE_KEY` the average value per interval of the set of metrics of this type measured in the timeframe under question.
`static java.lang.String` | `BASELINE_KEY` the user defined main baseline to compare against for this metric
`static java.lang.String` | `HIGH_RANGE_KEY` the user defined high range of values to compare against for this metric
`static java.lang.String` | `LAST_KEY` the last value per interval of the set of metrics of this type measured in the timeframe under question
`static java.lang.String` | `LOW_RANGE_KEY` the user defined low range of values to compare against for this metric
`static java.lang.String` | `MAX_KEY` the peak value per interval of the set of metrics of this type measured in the timeframe under question.
`static java.lang.String` | `MIN_KEY` the low value of the set of metrics of this type per interval measured in the timeframe under question.

Constructor Summary
`MetricDisplayConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_KEY

    public static final java.lang.String MAX_KEY

  the peak value per interval of the set of metrics of this type measured in the timeframe under question. The peak is the highest of the high values.

  See Also:
    Constant Field Values

### MIN_KEY

    public static final java.lang.String MIN_KEY

  the low value of the set of metrics of this type per interval measured in the timeframe under question. The low value is the lowest of the low values.

  See Also:
    Constant Field Values

### AVERAGE_KEY

    public static final java.lang.String AVERAGE_KEY

  the average value per interval of the set of metrics of this type measured in the timeframe under question. The average is the average of all the values.

  See Also:
    Constant Field Values

### LAST_KEY

    public static final java.lang.String LAST_KEY

  the last value per interval of the set of metrics of this type measured in the timeframe under question

  See Also:
    Constant Field Values

### BASELINE_KEY

    public static final java.lang.String BASELINE_KEY

  the user defined main baseline to compare against for this metric

  See Also:
    Constant Field Values

### HIGH_RANGE_KEY

    public static final java.lang.String HIGH_RANGE_KEY

  the user defined high range of values to compare against for this metric

  See Also:
    Constant Field Values

### LOW_RANGE_KEY

    public static final java.lang.String LOW_RANGE_KEY

  the user defined low range of values to compare against for this metric

  See Also:
    Constant Field Values

### attrKey

    public static final java.lang.String[] attrKey

Constructor Detail

### MetricDisplayConstants

    public MetricDisplayConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.